ErrorData
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class ErrorData

    java.lang.Object
      org.postgresql.pljava.internal.JavaWrapper
          org.postgresql.pljava.internal.ErrorData

    public class ErrorData

extends JavaWrapper

The `ErrorData` correspons to the ErrorData obtained using an internal PostgreSQL `CopyErrorData` call.

Method Summary
`protected void` | `_free(long pointer)` Calls the C function pfree() with the given pointer as an argument.
`java.lang.String` | `getContextMessage()` Returns the context message
`int` | `getCursorPos()` Returns the cursor index into the query string
`java.lang.String` | `getDetail()` Returns the detailed error message
`int` | `getErrorLevel()` Returns The error level
`java.lang.String` | `getFilename()` Returns The file where the error occured
`java.lang.String` | `getFuncname()` Returns the name of the function where the error occured
`java.lang.String` | `getHint()` Returns the hint message
`int` | `getInternalPos()` Returns the cursor index into internal query
`java.lang.String` | `getInternalQuery()` Returns the internally-generated query
`int` | `getLineno()` Returns The line where the error occured
`java.lang.String` | `getMessage()` Returns the primary error message
`int` | `getSavedErrno()` Returns the errno at entry
`java.lang.String` | `getSqlState()` Returns the unencoded ERRSTATE
`boolean` | `isOutputToClient()` Returns true if the error will be reported to the client
`boolean` | `isOutputToServer()` Returns true if the error will be reported to the server log
`boolean` | `isShowFuncname()` Returns true if funcname inclusion is set

Methods inherited from class org.postgresql.pljava.internal.JavaWrapper
`finalize, getNativePointer`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getErrorLevel

    public int getErrorLevel()

  Returns The error level

### isOutputToServer

    public boolean isOutputToServer()

  Returns true if the error will be reported to the server log

### isOutputToClient

    public boolean isOutputToClient()

  Returns true if the error will be reported to the client

### isShowFuncname

    public boolean isShowFuncname()

  Returns true if funcname inclusion is set

### getFilename

    public java.lang.String getFilename()

  Returns The file where the error occured

### getLineno

    public int getLineno()

  Returns The line where the error occured

### getFuncname

    public java.lang.String getFuncname()

  Returns the name of the function where the error occured

### getSqlState

    public java.lang.String getSqlState()

  Returns the unencoded ERRSTATE

### getMessage

    public java.lang.String getMessage()

  Returns the primary error message

### getDetail

    public java.lang.String getDetail()

  Returns the detailed error message

### getHint

    public java.lang.String getHint()

  Returns the hint message

### getContextMessage

    public java.lang.String getContextMessage()

  Returns the context message

### getCursorPos

    public int getCursorPos()

  Returns the cursor index into the query string

### getInternalPos

    public int getInternalPos()

  Returns the cursor index into internal query

### getInternalQuery

    public java.lang.String getInternalQuery()

  Returns the internally-generated query

### getSavedErrno

    public int getSavedErrno()

  Returns the errno at entry

### _free

    protected void _free(long pointer)

  Description copied from class: `JavaWrapper`
  Calls the C function pfree() with the given pointer as an argument. Subclasses may override this method if special handling is needed when freeing up the object.

  Overrides:
    `_free` in class `JavaWrapper`
  Parameters:
    `pointer` - The pointer to free.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT